package LATMOS::Accounts::Bases::Sql::OCHelper::User;

# $Id: Accreq.pm 2041 2010-04-18 13:16:39Z nanardon $

=head1 NAME

LATMOS::Accounts::Bases::Sql::OCHelper::User - Helper to create accreq
object

=cut

use strict;
use warnings;
use base qw(LATMOS::Accounts::Bases::OCHelper);
use LATMOS::Accounts::Utils;
use POSIX qw(strftime);

sub _step {
    my ($self, $info) = @_;
    if ($info->{step} == 0) {
        $info->{step} = 1;
        $info->{ask} = [
            qw(givenName sn manager department)
        ];

    } elsif ($info->{step} == 1) {
        if ($self->base->create_c_object($self->otype,
                strftime('%Y%m%d%H%M%S', localtime),
                %{$info->{contents} || {}},
            )) {
            return 'CREATED';
        } else {
            return 'ERROR';
        }
    } else {
        return undef;
    }
}

=head1 SEE ALSO

L<LATMOS::Accounts>

=head1 AUTHOR

Olivier Thauvin, E<lt>olivier.thauvin@latmos.ipsl.frE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2012 CNRS SA/CETP/LATMOS

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.0 or,
at your option, any later version of Perl 5 you may have available.

=cut

1;
